Error while creating bosh release on 'learn-bosh-release' project


Tushar Dadlani
 

Hey,

Can you outline the steps you followed and what OS are you running this on
?

Looks like your bosh target is incorrectly set up . What's the output of
"bosh status" command?

- Tushar

On Fri, Apr 14, 2017 at 7:50 AM Akshay Kapoor <akapoor87(a)gmail.com> wrote:

Hello

I have just started evaluating Bosh and CF and can't just get past the
bosh release creation process for 'learn-bosh-release' project repo. I get
the following error on my machine and don't find any support or information
on google/stackoverflow for this

Syncing blobs...
/usr/lib/ruby/2.0.0/fileutils.rb:349:in `symlink': Protocol error -
(/home/vagrant/workspace/learn-bosh-release/.blobs/c8a000f75b6a6f60d9fb727f8076ec9171e14c20,
/home/vagrant/workspace/learn-bosh-release/blobs/ruby/bundler-1.6.3.gem)
(Errno::EPROTO)
from /usr/lib/ruby/2.0.0/fileutils.rb:349:in `block in ln_s'
from /usr/lib/ruby/2.0.0/fileutils.rb:1568:in `fu_each_src_dest0'
from /usr/lib/ruby/2.0.0/fileutils.rb:347:in `ln_s'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:344:in
`install_blob'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:235:in
`block in process_index'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:214:in
`each_pair'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:214:in
`process_index'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:157:in
`sync'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/commands/release/create_release.rb:146:in
`dirty_blob_check'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/commands/release/create_release.rb:82:in
`create_from_spec'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/commands/release/create_release.rb:51:in
`create'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/command_handler.rb:57:in
`run'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/runner.rb:59:in `run'
from /var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/bin/bosh:19:in
`<top (required)>'
from /usr/local/bin/bosh:23:in `load'
from /usr/local/bin/bosh:23:in `<main>'


Can someone please guide me what I am doing wrong ?


Regards,
Akshay


Akshay Kapoor <akapoor87@...>
 

Hello

I have just started evaluating Bosh and CF and can't just get past the bosh
release creation process for 'learn-bosh-release' project repo. I get the
following error on my machine and don't find any support or information on
google/stackoverflow for this

Syncing blobs...
/usr/lib/ruby/2.0.0/fileutils.rb:349:in `symlink': Protocol error -
(/home/vagrant/workspace/learn-bosh-release/.blobs/c8a000f75b6a6f60d9fb727f8076ec9171e14c20,
/home/vagrant/workspace/learn-bosh-release/blobs/ruby/bundler-1.6.3.gem)
(Errno::EPROTO)
from /usr/lib/ruby/2.0.0/fileutils.rb:349:in `block in ln_s'
from /usr/lib/ruby/2.0.0/fileutils.rb:1568:in `fu_each_src_dest0'
from /usr/lib/ruby/2.0.0/fileutils.rb:347:in `ln_s'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:344:in
`install_blob'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:235:in
`block in process_index'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:214:in
`each_pair'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:214:in
`process_index'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/blob_manager.rb:157:in
`sync'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/commands/release/create_release.rb:146:in
`dirty_blob_check'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/commands/release/create_release.rb:82:in
`create_from_spec'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/commands/release/create_release.rb:51:in
`create'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/command_handler.rb:57:in
`run'
from
/var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/lib/cli/runner.rb:59:in `run'
from /var/lib/gems/2.0.0/gems/bosh_cli-1.3262.24.0/bin/bosh:19:in
`<top (required)>'
from /usr/local/bin/bosh:23:in `load'
from /usr/local/bin/bosh:23:in `<main>'


Can someone please guide me what I am doing wrong ?


Regards,
Akshay